AutomatedResponseBuilder (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.AutomatedResponseBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Class AutomatedResponseBuilder

    java.lang.Object
      org.hyperic.util.config.InteractiveResponseBuilder
          org.hyperic.util.config.AutomatedResponseBuilder

All Implemented Interfaces:
  ResponseBuilder

    public class AutomatedResponseBuilder

extends InteractiveResponseBuilder

Constructor Summary
`AutomatedResponseBuilder(InteractiveResponseBuilder_IOHandler io, java.io.File propFile, java.lang.String requiredProp)`
`AutomatedResponseBuilder(InteractiveResponseBuilder_IOHandler io, java.util.Properties props, java.lang.String requiredProp)`

Method Summary
`ConfigResponse` | `processConfigSchema(ConfigSchema schema)`

Methods inherited from class org.hyperic.util.config.InteractiveResponseBuilder
`handleHiddenInput, handleInput, processConfigSchema, sendToErrStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutomatedResponseBuilder

    public AutomatedResponseBuilder(InteractiveResponseBuilder_IOHandler io,
                                    java.util.Properties props,
                                    java.lang.String requiredProp)

### AutomatedResponseBuilder

    public AutomatedResponseBuilder(InteractiveResponseBuilder_IOHandler io,
                                    java.io.File propFile,
                                    java.lang.String requiredProp)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### processConfigSchema

    public ConfigResponse processConfigSchema(ConfigSchema schema)
                                       throws EncodingException,
                                              java.io.IOException,
                                              InvalidOptionException,
                                              EarlyExitException

  Specified by:
    `processConfigSchema` in interface `ResponseBuilder`
  Overrides:
    `processConfigSchema` in class `InteractiveResponseBuilder`
  Throws:
    `EncodingException`
    `java.io.IOException`
    `InvalidOptionException`
    `EarlyExitException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.